# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-whisper
%define fedora 23
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global srcname whisper
%global commit0 b7dbc7c2d1867b988f753bd6622a5fb66dc8c41f
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           python-module-whisper
Version:        0.9.15
Release:        alt1_2
Summary:        Simple database library for storing time-series data

Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/graphite-project

Source0:        https://github.com/graphite-project/%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz
Source10:       rrd2whisper.1
Source11:       whisper-create.1
Source12:       whisper-dump.1
Source13:       whisper-fetch.1
Source14:       whisper-info.1
Source15:       whisper-merge.1
Source16:       whisper-resize.1
Source17:       whisper-set-aggregation-method.1
Source18:       whisper-update.1
Source19:       whisper-fill.1

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
%{?python_provide:%python_provide python2-%{srcname}}
Source44: import.info

%description
Whisper is a fixed-size database, similar in design and purpose to RRD
(round-robin-database). It provides fast, reliable storage of numeric
data over time. Whisper allows for higher resolution (seconds per point)
of recent data to degrade into lower resolutions for long-term retention
of historical data.


%prep
%setup -q -n %{srcname}-%{commit0}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -D -p -m0644 %{SOURCE10} $RPM_BUILD_ROOT%{_mandir}/man1
install -D -p -m0644 %{SOURCE11} $RPM_BUILD_ROOT%{_mandir}/man1
install -D -p -m0644 %{SOURCE12} $RPM_BUILD_ROOT%{_mandir}/man1
install -D -p -m0644 %{SOURCE13} $RPM_BUILD_ROOT%{_mandir}/man1
install -D -p -m0644 %{SOURCE14} $RPM_BUILD_ROOT%{_mandir}/man1
install -D -p -m0644 %{SOURCE15} $RPM_BUILD_ROOT%{_mandir}/man1
install -D -p -m0644 %{SOURCE16} $RPM_BUILD_ROOT%{_mandir}/man1
install -D -p -m0644 %{SOURCE17} $RPM_BUILD_ROOT%{_mandir}/man1
install -D -p -m0644 %{SOURCE18} $RPM_BUILD_ROOT%{_mandir}/man1
install -D -p -m0644 %{SOURCE19} $RPM_BUILD_ROOT%{_mandir}/man1

# remove .py suffix
for i in $RPM_BUILD_ROOT%{_bindir}/*.py; do
    mv ${i} ${i%%.py}
done


%files
%{!?_licensedir:%global license %%doc}
%doc LICENSE
%doc README.md
%{_bindir}/rrd2whisper
%{_bindir}/whisper-create
%{_bindir}/whisper-dump
%{_bindir}/whisper-diff
%{_bindir}/whisper-fetch
%{_bindir}/whisper-fill
%{_bindir}/whisper-info
%{_bindir}/whisper-merge
%{_bindir}/whisper-resize
%{_bindir}/whisper-set-aggregation-method
%{_bindir}/whisper-update
%{_mandir}/man1/rrd2whisper.1*
%{_mandir}/man1/whisper-create.1*
%{_mandir}/man1/whisper-dump.1*
%{_mandir}/man1/whisper-fetch.1*
%{_mandir}/man1/whisper-fill.1*
%{_mandir}/man1/whisper-info.1*
%{_mandir}/man1/whisper-merge.1*
%{_mandir}/man1/whisper-resize.1*
%{_mandir}/man1/whisper-set-aggregation-method.1*
%{_mandir}/man1/whisper-update.1*
%{python_sitelibdir_noarch}/whisper.py*

%if 0%{?fedora} || 0%{?rhel} > 5
%{python_sitelibdir_noarch}/whisper-*-py?.?.egg-info
%endif


%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.9.15-alt1_2
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.9.13-alt1_0.2.pre1
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.12-alt1_2
- update to new release by fcimport

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.12-alt1_1
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.10-alt1_4
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.10-alt1_3
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.9.10-alt1_2
- initial fc import

